<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Parametro;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class ParametroController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /*
     * LISTA LOS RADICADOS */
    public function getParametros()
    {

        
        $estado = Parametro::where('clave', 'estado_inicial')->get()->first();
        $final = Parametro::where('clave', 'estado_final')->get()->first();
        $eslogan = Parametro::where('clave', 'eslogan')->get()->first();

        

        $datos = [];

        $datos['estado'] = $estado;
        $datos['final'] = $final;
        $datos['eslogan'] = $eslogan;


        return (new Response($datos, 200));
    }

    public function GuardarParametro(Request $request)
    {       

        $estado = Parametro::where('clave', 'estado_inicial')->get()->first();
        $estado->valor = $request->estado_inicial;
        $estado->save();

        $final = Parametro::where('clave', 'estado_final')->get()->first();
        $final->valor = $request->estado_final;
        $final->save();

        $eslogan = Parametro::where('clave', 'eslogan')->get()->first();
        $eslogan->valor = $request->eslogan;
        $eslogan->save();
        
        if (isset($_FILES['img']) && $_FILES['img'] != null) {

            if ($request->file('img') != null) {
               $path = public_path() . '/../../public_html';
                $request->file('img')->move(
                   $path . '/assets/img/', 'photo.png'
                );

            }

        }

        return redirect('getParametros');
    }
}
